# Uses of Interface
java.net.spi.InetAddressResolver

Packages that use InetAddressResolver
Package
Description
java.net.spi
Service-provider classes for the `java.net` package.

## Uses of InetAddressResolver in java.net.spi

Methods in java.net.spi that return InetAddressResolver
Modifier and Type
Method
Description
`InetAddressResolver`
InetAddressResolverProvider.Configuration.`builtinResolver()`
Returns the built-in resolver.
`abstract InetAddressResolver`
InetAddressResolverProvider.`get(InetAddressResolverProvider.Configuration configuration)`
Initialize and return an `InetAddressResolver` provided by this provider.